Skip to main content

Updates an event

PUT /v1/event/{eventID}

Summary​

Updates an event.

Details​

Request body: JSON object. Only non-null fields from the request are applied.

Authentication​

No operation-level security requirement is documented here.

Parameters​

NameInTypeRequiredDescriptionExample
eventIDpathinteger (int64)YesThe ID of the event to update.1

Request Body​

Required: Yes

application/json​

  • eventStatus (integer (int64), optional)
  • attemptNumber (integer (int64), optional)
  • result (string, optional)
  • processID (integer (int64), optional)
  • percentComplete (number (double), optional)
  • tagString (string, optional)
  • tagNumber (integer (int64), optional)

Example

{
"eventStatus": 1,
"attemptNumber": 1,
"result": "Example value",
"processID": 4321,
"percentComplete": 42.5,
"tagString": "Example value",
"tagNumber": 1
}

Responses​

200​

Success. No response body.

No response body schema documented.